ComponentTreeClonerForValidation (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.validation, class: ComponentTreeClonerForValidation

Package org.apache.jmeter.validation

# Class ComponentTreeClonerForValidation

java.lang.Object
org.apache.jmeter.engine.TreeCloner
org.apache.jmeter.gui.action.validation.TreeClonerForValidation
org.apache.jmeter.validation.ComponentTreeClonerForValidation

All Implemented Interfaces:
  `HashTreeTraverser`

public class ComponentTreeClonerForValidation extends TreeClonerForValidation
Clones the test tree, modifying throughput controller percentage

Since:
  3.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final boolean`
  `VALIDATION_TPC_FORCE_100_PERCENT`
  For 100% on ThroughputController

  ### Fields inherited from class org.apache.jmeter.gui.action.validation.TreeClonerForValidation

  `VALIDATION_IGNORE_BACKENDS, VALIDATION_IGNORE_TIMERS, VALIDATION_ITERATIONS, VALIDATION_NUMBER_OF_THREADS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentTreeClonerForValidation()`
  `ComponentTreeClonerForValidation(boolean honourNoThreadClone)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `addNodeToTree(Object node)`

  ### Methods inherited from class org.apache.jmeter.engine.TreeCloner

  `addNode, getClonedTree, processPath, subtractNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VALIDATION_TPC_FORCE_100_PERCENT

    protected static final boolean VALIDATION_TPC_FORCE_100_PERCENT
    For 100% on ThroughputController

- ## Constructor Details

  - ### ComponentTreeClonerForValidation

    public ComponentTreeClonerForValidation()

  - ### ComponentTreeClonerForValidation

    public ComponentTreeClonerForValidation(boolean honourNoThreadClone)

- ## Method Details

  - ### addNodeToTree

    protected Object addNodeToTree(Object node)
    Overrides:
      `addNodeToTree` in class `TreeClonerForValidation`
    Parameters:
      `node` - Node to add to tree or not
    Returns:
      Object node (clone or not)
    See Also:
      - `TreeCloner.addNodeToTree(java.lang.Object)`